/* 
 * Copyright 2002-2005 The Apache Software Foundation
 * Licensed  under the  Apache License,  Version 2.0  (the "License");
 * you may not use  this file  except in  compliance with the License.
 * You may obtain a copy of the License at 
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed  under the  License is distributed on an "AS IS" BASIS,
 * WITHOUT  WARRANTIES OR CONDITIONS  OF ANY KIND, either  express  or
 * implied.
 * 
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.cocoon.classloader;

import java.net.URL;
import java.util.List;

/**
 * @see AbstractClassLoaderFactory
 * @version $Id: DefaultClassLoaderFactory.java 408059 2006-05-20 18:09:18Z cziegeler $
 * @since 2.2
 */
public class DefaultClassLoaderFactory
    extends AbstractClassLoaderFactory {

    protected ClassLoader createClassLoader(URL[] urls, List includePatterns, List excludePatterns, ClassLoader parent) {
        return new DefaultClassLoader(urls, includePatterns, excludePatterns, parent);
    }
}
